% Plotting ROI size as function of delta_b and distance
RANGE_MAX = 100.0;
range = 0:0.1:RANGE_MAX;
delta_beta_deg = 3.0;
delta_beta = delta_beta_deg * pi / 180.0;

SENSOR_HEIGHT = 1.1; %In RED robot this is the value
alpha = atan2(SENSOR_HEIGHT, range);
beta  = alpha - delta_beta;

%if(beta < 1.0*pi/180.0)
%    beta = 1.0*pi/180.0;
%end

ROI_size =  SENSOR_HEIGHT * (1./tan(beta) - 1./(tan(alpha)));

plot(range, ROI_size)